Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » how do I install cURL and PDT?
how do I install cURL and PDT? [message #95765] Fri, 27 March 2009 02:31 Go to next message
Mitchell Miller is currently offline Mitchell MillerFriend
Messages: 1
Registered: July 2009
Junior Member
Hi,
I am using Novell/Suse 10, and am trying to switch from vim to
Eclipse. How do I add cURL to Eclipse PDT?

First I installed PDT, then ran Eclipse update, then tried to add
curl. It felt wrong, but I followed curl.com advice and installed redundant
RTE, and then curl IDE rpms, and put it first in PATH, ahead of
/usr/bin/curl.

Error: A feature you have selected uses install procedures that are
not compatible with the current installation support.. This feature can
only be installed by the older Update Manager.

After OK, I get this error when I try to add CDE plugin:
Zend Debugger Feature requires org.eclipse.php_feature (1.0.2) or
equivalent.

Finally, I tried manually copying
/opt/curl/surge/7/ide/eclipse-deploy/cdeUpdateSite-6.0.1005. jar
to /eclipse/plugins too.

Can someone please explain how to make this work?
I would really like to start using Eclipse!
Thanks, Mitch
Re: how do I install cURL and PDT? [message #95780 is a reply to message #95765] Fri, 27 March 2009 09:34 Go to previous message
D Kelsey is currently offline D KelseyFriend
Messages: 232
Registered: July 2009
Senior Member
You have a couple of choices to try. Either install the cURL ide then using the update manager go to
the PDT update site and install the correct version of PDT for the eclipse platform you are running
ie 1.03 or 1.05 for eclipse 3.3 or 2.0 for eclipse 3.4

Alternatively install PDT 2.0 which is eclipse 3.4 based(the cURL website implies that it would work
with eclipse 3.3 or 3.4). It looks like you have downloaded the update site as a zip already for
curl but you cannot just copy that into plugins. You need to unpack the update site into a directory
then again use install manager in eclipse and define a local site and point it to the directory
where you have unpacked the update site.

If you get further problems you would probably be better off contacting the cURL developers for help
on installing the plugins into an eclipse environment.

Dave Kelsey


Mitchell Miller wrote:
> Hi,
> I am using Novell/Suse 10, and am trying to switch from vim to
> Eclipse. How do I add cURL to Eclipse PDT?
>
> First I installed PDT, then ran Eclipse update, then tried to add
> curl. It felt wrong, but I followed curl.com advice and installed redundant
> RTE, and then curl IDE rpms, and put it first in PATH, ahead of
> /usr/bin/curl.
>
> Error: A feature you have selected uses install procedures that are
> not compatible with the current installation support.. This feature can
> only be installed by the older Update Manager.
>
> After OK, I get this error when I try to add CDE plugin:
> Zend Debugger Feature requires org.eclipse.php_feature (1.0.2) or
> equivalent.
>
> Finally, I tried manually copying
> /opt/curl/surge/7/ide/eclipse-deploy/cdeUpdateSite-6.0.1005. jar
> to /eclipse/plugins too.
>
> Can someone please explain how to make this work?
> I would really like to start using Eclipse!
> Thanks, Mitch
>
>
Previous Topic:[Announce] PDT 2.0.1 M200902050834 is available
Next Topic:Validator Problem
Goto Forum:
  


Current Time: Wed Feb 01 23:46:56 GMT 2023

Powered by FUDForum. Page generated in 0.06252 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top